{% extends 'comments/base.html' %}

{% block content %}

<div class="col-md-12">
  <div class="row">
    <table class="table table-hover table-bordered border-primary">
      <thead class="table-primary">
        <tr>
          <th scope="col">#</th>
          <th scope="col">Comment</th>
          <th scope="col">Username</th>
          <th scope="col">Date_add</th>
        </tr>
        </thead>
      <tbody>
      </tbody>
    </table>
      {% load mptt_tags %}
        <div>
        {% recursetree comments %}

          <div id="{{ node.id }}"> {{ node.text }}, {{ node.id }}</div>
          <button class="button" onclick="myFunction({{ node.id }})">reply</button>
        {% if not node.is_leaf_node %}
          <div class="children pl-2 pl-md-5"> {{ children }} </div>
        {% endif %}

        {% endrecursetree %}
        </div>
    <script>
      function myFunction(id){
        var a = document.getElementById(id);
        a.insertAdjacentHTML('afterend','hi');

      }
      $('#MyForm').trigger("reset");
  </script>

    </div>
  <div id="myDIV" style="display:block;">
          <form id="myForm" method="post">
            <h2>Create new comment</h2>
            {{ comment_form.as_p }}
            {% csrf_token %}
            <button type="submit" class="btn btn-primary btn-lg btn-block">Submit</button>
          </form>
        </div>
</div>

{% endblock %}
